import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';

import { AppRoutingModule } from './app-routing.module';
import { AppComponent } from './app.component';

import { FormsModule } from '@angular/forms';
import { HttpClientModule, HTTP_INTERCEPTORS } from '@angular/common/http';
import { AuthService, AuthInterceptor, AuthGuard } from './services/auth.service';

import { LoginComponent } from './components/login/login.component';
import { SignupComponent } from './components/singup/singup.component';
import { AddBoilerplateComponent } from './components/add-boilerplate/add-boilerplate.component';
import { BoilerplateDetailsComponent } from './components/boilerplate-details/boilerplate-details.component';
import { BoilerplateListComponent } from './components/boilerplate-list/boilerplate-list.component';
import { AddPrefixComponent } from './components/add-prefix/add-prefix.component';
import { PrefixDetailsComponent } from './components/prefix-details/prefix-details.component';
import { PrefixListComponent } from './components/prefix-list/prefix-list.component';



@NgModule({
  declarations: [
    AppComponent,
    LoginComponent,
    SignupComponent,
    AddBoilerplateComponent,
    BoilerplateDetailsComponent,
    BoilerplateListComponent,
    AddPrefixComponent,
    PrefixDetailsComponent,
    PrefixListComponent
  ],
  imports: [
    BrowserModule,
    AppRoutingModule,
    FormsModule,
    HttpClientModule
  ],
  providers: [
    AuthService,
    AuthGuard,
    {
      provide: HTTP_INTERCEPTORS,
      useClass: AuthInterceptor,
      multi: true,
    },
  ],
  bootstrap: [AppComponent]
})
export class AppModule { }
