import { Component, OnInit } from '@angular/core';
import { Boilerplate } from 'src/app/models/boilerplate.model';
import { BoilerplateService } from 'src/app/services/boilerplate.service';

@Component({
  selector: 'app-add-boilerplate',
  templateUrl: './add-boilerplate.component.html',
  styleUrls: ['./add-boilerplate.component.scss']
})
export class AddBoilerplateComponent implements OnInit {
  boilerplate: Boilerplate = {
    has_prefix: false,
    has_main: false,
    has_suffix: false
  };
  submitted = false;

  constructor(private boilerplatelService: BoilerplateService) { }

  ngOnInit(): void {
  }

  saveBoilerplate(): void {
    const data = {
      has_prefix: this.boilerplate.has_prefix,
      has_main: this.boilerplate.has_main,
      has_suffix: this.boilerplate.has_suffix
    };

    this.boilerplatelService.create(data)
      .subscribe(
        response => {
          console.log(response);
          this.submitted = true;
        },
        error => {
          console.log(error);
        });
  }

  newBoilerplate(): void {
    this.submitted = false;
    this.boilerplate = {
      has_prefix: false,
      has_main: false,
      has_suffix: false
    };
  }

}
