import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { Boilerplate } from '../models/boilerplate.model';

const baseUrl = 'http://155.207.131.19:8000/api-auth/boilerplates/';

@Injectable({
  providedIn: 'root'
})
export class BoilerplateService {
  
  constructor(private http: HttpClient) { }

  getAll(): Observable<Boilerplate[]> {
    return this.http.get<Boilerplate[]>(baseUrl);
  }

  get(id: any): Observable<Boilerplate> {
    return this.http.get(`${baseUrl}${id}`);
  }

  create(data: any): Observable<any> {
    return this.http.post(baseUrl, data);
  }

  update(id: any, data: any): Observable<any> {
    return this.http.put(`${baseUrl}${id}/`, data);
  }

  delete(id: any): Observable<any> {
    return this.http.delete(`${baseUrl}${id}`);
  }

  //In case we want to find by something 
  /*findByTitle(title: any): Observable<Boilerplate[]> {
    return this.http.get<Boilerplate[]>(`${baseUrl}?title=${title}`);
  }*/

}
